#
# spec file for Unified File Permission Modifier ...
# By: John Schneiderman
#
%define NAME ufpm
%define MAJOR 1
%define MINOR 5
%define PATCH 0
%define VERSION %{MAJOR}.%{MINOR}.%{PATCH}
%define RELEASE 2

Name: %{NAME}
Summary: A uniform file and directory permission program
Source0: http://www.codegnu.com/files/ufpm/%{NAME}-%{VERSION}.tar.gz
URL: http://www.codegnu.com/pages/ufpm.html
Group: File tools
License: GPLv3
BuildArch: noarch
Version: %{VERSION}
%if 0%{?mkrel:1}
Release: %mkrel %{RELEASE}
%else
Release: %{RELEASE}%{!?distsuffix:cgs}%{?dist}
%endif


%description
Moving files between file systems that have permissions and
those that do not, the user home directory is populated with files
of all sorts of permissions. UFPM, Uniform File Permission
Modifier, has been designed to modify all files and directories
to have a uniform permission set based upon their file type.

%prep
%setup -q -a 0

%build
%if "%{make}" == "%{make}"
  make
%else
  %make
%endif

%install
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%doc THANKS TODO README AUTHORS COPYING
%attr(0755, root, root) %{_bindir}/ufpm
%{_mandir}/man1/ufpm.1.*

%changelog
* Sat Jun 21 2014 CodeGNU Solutions <packaging@CodeGNU.com> 1.5.0-2cgs4
- Rebuild for Mageia 4.
* Wed Mar 17 2010 CodeGNU Solutions <packaging@CodeGNU.com> 1.5.0-1
- File name and directories are no longer mangled before parsing.
- Files and directories that already have the correct permissions are left alone.
* Sun Mar 18 2007 CodeGNU Solutions <packaging@CodeGNU.com> 1.4.1-1
- Fixed function delcarations.
- Fixed function variable declartions.
* Sat Dec 02 2006 CodeGNU Solutions <packaging@CodeGNU.com> 1.4.0-1
- Added user and group changing options.
- Moved the copyright notice to the line below the programme name.
- Removed potentially confusing status messages witha "." at the end.
* Sun Aug 20 2006 CodeGNU Solutions <packaging@CodeGNU.com> 1.3.0-1
- Changed the name fpm to ufpm to no longer conflict with other FSS project.
- Added a verbose mode, now files are not displayed by default.
- Added a silent mode.
- Added an elf execute enable mode.
- Now will use TMPDIR if it exist.
- Bug fixes for ssh and symbolic links, pipes, and missing files.
* Sun Aug 06 2006 CodeGNU Solutions <packaging@CodeGNU.com> 1.2.0-1
- Changed the ssh folder file permissions.
- Script files now will retain their executing bit.
- Changed the temporary location to /tmp.
* Thu Mar 23 2006 CodeGNU Solutions <packaging@CodeGNU.com> 1.1.2-1
- Version information from the command line.
* Sat Feb 25 2006  CodeGNU Solutions <packaging@CodeGNU.com> 1.1.1-1
- Permission variables specfied by octal integers.
* Sun Feb 19 2006  CodeGNU Solutions <packaging@CodeGNU.com> 1.1.0-1
- Added a special file permission for those files and folders that are hidden.
* Thu Feb 09 2006 CodeGNU Solutions <packaging@CodeGNU.com> 1.0.0-1
- Changes all file permissions to 640.
- Changes all directory permissions to 750.
- Changes all backup file permissions to 440.
